<?php

//File read & File write //

function bny_readfile($file){
	require_once(ABSPATH . 'wp-admin/includes/file.php');
	$buf = '';
	if (is_file($file) === true){
		if(WP_Filesystem()){
			global $wp_filesystem;
			$buf = $wp_filesystem->get_contents($file);
		}
	}
	return $buf;
}

function bny_writefile($file, $text){
	require_once(ABSPATH . 'wp-admin/includes/file.php');
	if(WP_Filesystem()){
		global $wp_filesystem;
		$wp_filesystem->put_contents($file, $text);
	}
}




//Execute CSS minimization script when logging out //

function mincss($c){
    $c = str_replace(array("\r\n", "\r", "\n", "\t", '  ', '    ', '    '), '', $c);
    $c = preg_replace('!/\*[^*]*\*+([^/][^*]*\*+)*/!', '', $c);
    $c = str_replace(': ', ':', $c);
    return $c;
}

function exec_css_minimization() {
	$infile = get_template_directory() . '/style.css';
	$outfile = get_template_directory() . '/style.min.css';

	if (is_file($infile) === true){
		$buf = bny_readfile($infile);
		$buf = mincss($buf);
		bny_writefile($outfile, $buf);
	}
}




// Output sidebar file //

function bny_dynamic_sidebar($idx) {
	$buf = "";
	ob_start();
	dynamic_sidebar($idx);
	$buf = ob_get_clean();
	return $buf;
}

function bny_static_sidebar($idx) {
	$id = 'sidebar-' . $idx;
	if (!is_active_sidebar($id)){
		return;
	}
	$outfile = get_template_directory() . '/sidebar.php';
	$buf  = '<aside id="bny-secondary" class="widget-area">';
	$buf .= bny_dynamic_sidebar($idx);
	$buf .= '</aside><!-- #secondary -->';
	bny_writefile($outfile, $buf);
}

?>
